Oore CI

Get release

Release detail with its full state history, oldest first.

Operation IDget_release
GET
/v1/releases/{release_id}

Release detail with its full state history, oldest first.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

release_id*string

Release ID

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/releases/string"
{  "history": [    {      "actor_email": "string",      "actor_id": "string",      "at": 0,      "from_fraction": 0,      "from_state": null,      "id": "string",      "reason": "string",      "to_fraction": 0,      "to_state": "uploading"    }  ],  "release": {    "allowed_actions": [      "raise"    ],    "approved_at": 0,    "approved_by_email": "string",    "artifact_id": "string",    "awaiting_approval": true,    "build_id": "string",    "build_number": 0,    "crash_rate": 0,    "crash_rate_threshold": 0,    "created_at": 0,    "environment_id": "string",    "environment_name": "string",    "health": "unknown",    "id": "string",    "next_fraction": 0,    "next_step_at": 0,    "package_name": "string",    "platform": "string",    "policy": {      "approval": "none",      "crash_rate_threshold": 0,      "interval_hours": 0.1,      "steps": [        0.1      ]    },    "project_id": "string",    "project_name": "string",    "promoted_from_release_id": "string",    "rollout_fraction": 0.1,    "state": "uploading",    "store": "google_play",    "track": "string",    "updated_at": 0,    "version_code": 0,    "version_name": "string"  }}